commit:     afc5623c30d3aadf792c6059a7be7e08dcc2e954
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  8 10:21:59 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Jun  8 10:22:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afc5623c

dev-python/blessed: bump to 1.17.8

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/blessed/Manifest              |  1 +
 dev-python/blessed/blessed-1.17.8.ebuild | 50 ++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index 16bfcda031f..96b826c77ad 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1 +1,2 @@
 DIST blessed-1.17.5.tar.gz 14030669 BLAKE2B 
e2692c6863599462914f1cee36bd487d42fb1e44e15f841d81ee622619da22a34cda4d78523b07bbd94a9a70e41c9b8342d0da650389d0fbe4ef7a46868535cc
 SHA512 
5973070199d16a71d70c6b25b783a92d72f9dd8d27ca5cdb25b18e07e4b351e1cba751b96113665230c3c01bd1916adafe89d4689e2b341a88640535b7f91317
+DIST blessed-1.17.8.tar.gz 6697594 BLAKE2B 
be279f1962e8643fdd2f03c63292700ebcdd89f29163f72de89d649990663e9677391a134e19e97fc51c64341f2efc9dbb8a13a467f864c04341a55fe31a87c1
 SHA512 
fbdeea8159f535824600bd4e9b080998d0a8336731c1d53ff5b89c7488363d35b87752b8e424317f64f2b90aec3c62ce3368503b1a864a67c1de48245dc2fbbf

diff --git a/dev-python/blessed/blessed-1.17.8.ebuild 
b/dev-python/blessed/blessed-1.17.8.ebuild
new file mode 100644
index 00000000000..18fe22388d9
--- /dev/null
+++ b/dev-python/blessed/blessed-1.17.8.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and 
positioning"
+HOMEPAGE="https://github.com/jquast/blessed";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+       # Skip those extensions as they don't have a Gentoo package
+       # Remove calls to scripts that generate rst files because they
+       # are not present in the tarball
+       sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+               -e '/^for script in/,/runpy.run_path/d' \
+               -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # COLORTERM must not be truecolor
+       # See https://github.com/jquast/blessed/issues/162
+       # Ignore coverage options
+       COLORTERM= pytest -vv --override-ini="addopts=" \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to